
#include "sql.h"

/*----------------------------------------------------------------*/
/*								  */
/*  Example of connect to a payroll database using variables	  */
/*    userid:		   DAI					  */
/*    password: 	   SECRET				  */
/*								  */
/*  Must run GRANT.SQL script via SQLTALK first 		  */
/*								  */
/*----------------------------------------------------------------*/

	  main()
{
	  SQLTCUR   cur;		/* SQLBASE cursor number  */
	  SQLTRCD   rcd;		/* return code		  */

static	  char	    dbname[] = "demo/dai/secret";

  /*
    CONNECT TO THE DATABASE
  */
  if (rcd = sqlcnc(&cur,dbname,0))
  {
    printf("FAILURE ON CONNECT %d\n",rcd);
    exit(1);
  }
  else
    printf("Connection Established \n");

  /*
    DISCONNECT FROM THE DATABASE
  */

  if (rcd = sqldis(cur))
    printf("FAILURE ON DISCONNECT %d\n",rcd);
  else
    printf("Disconnect Performed \n");
}
